import request from '@/utils/request'

// 查询农专年报网站或网店信息列表
export function listWebsite(query) {
  return request({
    url: '/basicData/xcrAgriculturalSpecializedWebsite/findByPage',
    method: 'get',
    params: query
  })
}

// 查询农专年报网站或网店信息详细
export function getWebsite(xhCodeId) {
  return request({
    url: '/basicData/xcrAgriculturalSpecializedWebsite/' + xhCodeId,
    method: 'get'
  })
}

// 新增农专年报网站或网店信息
export function addWebsite(data) {
  return request({
    url: '/basicData/xcrAgriculturalSpecializedWebsite',
    method: 'post',
    data: data
  })
}

// 修改农专年报网站或网店信息
export function updateWebsite(data) {
  return request({
    url: '/basicData/xcrAgriculturalSpecializedWebsite',
    method: 'put',
    data: data
  })
}

// 删除农专年报网站或网店信息
export function delWebsite(xhCodeId) {
  return request({
    url: '/basicData/xcrAgriculturalSpecializedWebsite/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delWebsiteBatch(ids) {
  return request.post('/basicData/xcrAgriculturalSpecializedWebsite/delete',ids)
}
